%define upstream_name    Crypt-OpenSSL-Random
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Crypt-OpenSSL-Random module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Crypt::OpenSSL::Guess) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.220.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
Requires:   openssl
%{?perl_default_filter}

%description
Crypt-OpenSSL-Random module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# perl path hack
find . -type f | xargs %__perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%__perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorarch}/auto/Crypt/OpenSSL/Random/Random.so
%{perl_vendorarch}/Crypt/OpenSSL/Random.pm
%{_mandir}/*/*


%changelog
* Tue Jun 18 2024 tv <tv> 0.170.0-1.mga10
+ Revision: 2075013
- update to 0.17\nDrop no more needed patch

* Sun Apr 14 2024 tv <tv> 0.160.0-1.mga10
+ Revision: 2057435
- update to 0.16

* Wed Nov 29 2023 tv <tv> 0.150.0-11.mga10
+ Revision: 2011424
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.150.0-10.mga9
+ Revision: 1861662
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.150.0-9.mga9
+ Revision: 1796509
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.150.0-8.mga9
+ Revision: 1747591
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 0.150.0-7.mga9
+ Revision: 1726483
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.150.0-6.mga8
+ Revision: 1594378
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.150.0-5.mga8
+ Revision: 1529001
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.150.0-4.mga8
+ Revision: 1432821
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.150.0-3.mga7
+ Revision: 1292565
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 0.150.0-2.mga7
+ Revision: 1248146
- Rebuild for new perl 5.28.0

* Mon Apr 23 2018 shlomif <shlomif> 0.150.0-1.mga7
+ Revision: 1221531
- New version 0.15

* Mon Oct 02 2017 tv <tv> 0.110.0-6.mga7
+ Revision: 1163666
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.110.0-5.mga7
+ Revision: 1148704
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.110.0-4.mga7
+ Revision: 1126593
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1024531
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 956976
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 891275
- update to 0.11

* Fri Jun 26 2015 tv <tv> 0.100.0-2.mga6
+ Revision: 844757
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.100.0-1.mga6
+ Revision: 840934
- New version 0.10 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-14.mga5
+ Revision: 744453
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-13.mga5
+ Revision: 733000
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-12.mga5
+ Revision: 684049
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-11.mga5
+ Revision: 630959
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-10.mga4
+ Revision: 524262
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-9.mga4
+ Revision: 430609
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-8.mga3
+ Revision: 364908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-7.mga3
+ Revision: 250399
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-6.mga2
+ Revision: 103846
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-5.mga1
+ Revision: 29989
- mageia rebuild
- imported package perl-Crypt-OpenSSL-Random

